## xandikos 0.0.6

=== Makefile ===
export PYTHON ?= python3
COVERAGE ?= $(PYTHON) -m coverage
COVERAGE_RUN_OPTIONS ?=
COVERAGE_RUN ?= $(COVERAGE) run $(COVERAGE_RUN_OPTIONS)
TESTSUITE = xandikos.tests.test_suite
LITMUS_TESTS ?= basic http
CALDAVTESTER_TESTS ?= CalDAV/delete.xml \
		      CalDAV/schedulenomore.xml \
		      CalDAV/options.xml \
		      CalDAV/vtodos.xml
XANDIKOS_COVERAGE ?= $(COVERAGE_RUN) -a --rcfile=$(shell pwd)/.coveragerc --source=xandikos -m xandikos.web

check:
	$(PYTHON) -m unittest $(TESTSUITE)

style:
	flake8 --exclude=compat/vdirsyncer/,.tox,compat/ccs-caldavtester

web:
	$(PYTHON) -m xandikos.web

check-litmus-all:
	./compat/xandikos-litmus.sh "basic copymove http props locks"

check-litmus:
	./compat/xandikos-litmus.sh "${LITMUS_TESTS}"

coverage-litmus:
	XANDIKOS="$(XANDIKOS_COVERAGE)" ./compat/xandikos-litmus.sh "${LITMUS_TESTS}"

check-vdirsyncer:
	./compat/xandikos-vdirsyncer.sh

coverage-vdirsyncer:
	PYTEST_ARGS="--cov-config $(shell pwd)/.coveragerc --cov-append --cov $(shell pwd)/xandikos" ./compat/xandikos-vdirsyncer.sh
	$(COVERAGE) combine -a compat/vdirsyncer/.coverage

check-caldavtester:
	TESTS="$(CALDAVTESTER_TESTS)" ./compat/xandikos-caldavtester.sh

coverage-caldavtester:
	TESTS="$(CALDAVTESTER_TESTS)" XANDIKOS="$(XANDIKOS_COVERAGE)" ./compat/xandikos-caldavtester.sh

check-caldavtester-all:
	./compat/xandikos-caldavtester.sh

coverage-caldavtester-all:
	XANDIKOS="$(XANDIKOS_COVERAGE)" ./compat/xandikos-caldavtester.sh

check-all: check check-vdirsyncer check-litmus check-caldavtester style

coverage-all: coverage coverage-litmus coverage-vdirsyncer coverage-caldavtester

coverage:
	$(COVERAGE_RUN) --source=xandikos -m unittest $(TESTSUITE)

coverage-html: coverage
	$(COVERAGE) html

=== debian/changelog ===
xandikos (0.0.6-2) unstable; urgency=low

  * When running autopkgtest tests, use system xandikos binary.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 18 Jul 2017 00:59:04 +0000

xandikos (0.0.6-1) unstable; urgency=medium

  * Update homepage URL.
  * Update Vcs-Git URL.
  * New upstream release.
   + Fixes umask in example uwsgi files. Closes: #866058
   + Now uses $EMAIL for calendar-user-address-set of current-user-principal,
     instead of author's email address. Closes: #866095
   + New AUTOCREATE variable for WSGI wrapper. Closes: #866093
  * d/tests/control: Add git dependency to caldav-tester test; it's used
    for creating initial collections.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 26 Jun 2017 00:27:53 +0000

xandikos (0.0.5-1) unstable; urgency=medium

  * Add debian watch file.
  * New upstream release.
  * Bump standards version to 4.0.0 (no changes).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 24 Jun 2017 13:14:40 +0000

xandikos (0.0.4-2) experimental; urgency=medium

  * Document license for compat/serverinfo.xml. Closes: #861131

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 24 Apr 2017 22:28:42 +0000

xandikos (0.0.4-1) experimental; urgency=low

  * Initial release. Closes: #856511

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 30 Jan 2017 23:56:43 +0000

=== debian/control ===
Source: xandikos
Section: python
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Homepage: https://www.xandikos.org/
Build-Depends: python3-all, debhelper (>= 9), python3-dulwich, dh-python, python3-icalendar, python3-defusedxml, python3-jinja2, python3-setuptools
Standards-Version: 4.0.0
X-Python3-Version: >= 3.2
Vcs-Git: https://www.xandikos.org/ -b unstable

Package: xandikos
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-icalendar, python3-defusedxml, python3-dulwich, python3-jinja2
Description: Git-backed CalDAV/CardDAV server
 Xandikos is a standards-compliant CalDAV/CardDAV server that backs onto a
 Git repository.
 .
 It supports the following standards:
 .
  * RFC4918/RFC2518 (Core WebDAV) - implemented, except for COPY/MOVE/LOCK
  * RFC4791 (CalDAV) - fully implemented
  * RFC6352 (CardDAV) - fully implemented
  * RFC5397 (Current Principal) - fully implemented
  * RFC3253 (Versioning Extensions) - partially implemented
  * RFC3744 (Access Control) - partially implemented
  * RFC5995 (POST to create members) - fully implemented
 .
 Xandikos (Δύστρος) takes its name from the name of the February month in the
 ancient Macedonian calendar, used in Macedon in the first millennium BC.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $* --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: litmus
Depends: litmus, curl, @
Restrictions: allow-stderr

Tests: caldav-tester
Depends: caldav-tester, git, curl, @
Restrictions: allow-stderr

## xandikos 0.0.9

=== debian/changelog ===
xandikos (0.0.9-1ubuntu1) cosmic; urgency=medium

  * Don't run the litmus autopkg test. Times out. See Debian #903854.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 28 Jul 2018 09:46:03 +0200

xandikos (0.0.9-1) unstable; urgency=medium

  * New upstream release.
   + Fixes compatibility with newer versions of Dulwich. Closes: #895133

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 07 Apr 2018 14:52:56 +0100

xandikos (0.0.7-1) unstable; urgency=medium

  * Fix greek name of package in description. Thanks, Roland Hieber.
    Closes: #880012
  * New upstream release.
  * debian/copyright: Fix ordering of paragraphs.
  * Update Vcs-{Git,Browser} URLs to point at salsa.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 02 Apr 2018 13:29:18 +0100

=== debian/tests/control ===
#Tests: litmus
#Depends: litmus, curl, @
#Restrictions: allow-stderr

Tests: caldav-tester
Depends: caldav-tester, git, curl, @
Restrictions: allow-stderr

## xandikos 0.0.10

=== Makefile ===
--- 
+++ 
@@ -32,8 +32,7 @@
 	./compat/xandikos-vdirsyncer.sh
 
 coverage-vdirsyncer:
-	PYTEST_ARGS="--cov-config $(shell pwd)/.coveragerc --cov-append --cov $(shell pwd)/xandikos" ./compat/xandikos-vdirsyncer.sh
-	$(COVERAGE) combine -a compat/vdirsyncer/.coverage
+	XANDIKOS="$(XANDIKOS_COVERAGE)" ./compat/xandikos-vdirsyncer.sh
 
 check-caldavtester:
 	TESTS="$(CALDAVTESTER_TESTS)" ./compat/xandikos-caldavtester.sh

=== debian/changelog ===
xandikos (0.0.10-3) unstable; urgency=medium

  * Add patch 02_committer: don't run into compatibility issues with
    Dulwich. Closes: #913301

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 09 Nov 2018 19:29:51 +0000

xandikos (0.0.10-2) unstable; urgency=medium

  * Read README.rst with encoding utf-8. Closes: #912436

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 01 Nov 2018 00:06:12 +0000

xandikos (0.0.10-1) unstable; urgency=medium

  * Add debian/upstream/metadata.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 31 Oct 2018 02:29:00 +0000

xandikos (0.0.9-2) unstable; urgency=medium

  * Remove unnecessary X-Python{,3}-Version field in debian/control.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 18 Oct 2018 00:44:14 +0100

## xandikos 0.0.11

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	$(PYTHON) -m unittest $(TESTSUITE)
 
 style:
-	flake8 --exclude=compat/vdirsyncer/,.tox,compat/ccs-caldavtester
+	flake8
 
 web:
 	$(PYTHON) -m xandikos.web

=== debian/changelog ===
xandikos (0.0.11-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Dec 2018 15:16:28 +0000

xandikos (0.0.11-2) unstable; urgency=medium

  * Add CI/CD configuration for Salsa.
  * Add patch 01_sigterm_handler: don't install broken sigterm handler.
    Closes: #903854, #914488

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 23 Nov 2018 21:42:55 +0000

xandikos (0.0.11-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches: both applied upstream.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 15 Nov 2018 02:45:04 +0000

xandikos (0.0.6-1~bpo9+1) stretch-backports; urgency=low

  * Backport to stretch. Closes: #867795
   + Disable 'litmus' autopkgtest, as litmus is not packaged in stretch.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Jul 2017 00:23:54 +0000

=== debian/control ===
Source: xandikos
Section: python
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Homepage: https://www.xandikos.org/
Build-Depends: python3-all, debhelper (>= 9), python3-dulwich (>= 0.19.1), dh-python, python3-icalendar, python3-defusedxml, python3-jinja2, python3-setuptools
Standards-Version: 4.0.0
X-Python3-Version: >= 3.2
Vcs-Git: https://www.xandikos.org/ -b stretch-backports

Package: xandikos
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-icalendar, python3-defusedxml, python3-dulwich (>= 0.19.1), python3-jinja2
Description: Git-backed CalDAV/CardDAV server
 Xandikos is a standards-compliant CalDAV/CardDAV server that backs onto a
 Git repository.
 .
 It supports the following standards:
 .
  * RFC4918/RFC2518 (Core WebDAV) - implemented, except for COPY/MOVE/LOCK
  * RFC4791 (CalDAV) - fully implemented
  * RFC6352 (CardDAV) - fully implemented
  * RFC5397 (Current Principal) - fully implemented
  * RFC3253 (Versioning Extensions) - partially implemented
  * RFC3744 (Access Control) - partially implemented
  * RFC5995 (POST to create members) - fully implemented
 .
 Xandikos (Ξανδικός) takes its name from the name of the February month in the
 ancient Macedonian calendar, used in Macedon in the first millennium BC.

=== debian/tests/control ===
Tests: caldav-tester
Depends: caldav-tester, git, curl, @
Restrictions: allow-stderr

## xandikos 0.2.2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,6 @@
 TESTSUITE = xandikos.tests.test_suite
 LITMUS_TESTS ?= basic http
 CALDAVTESTER_TESTS ?= CalDAV/delete.xml \
-		      CalDAV/schedulenomore.xml \
 		      CalDAV/options.xml \
 		      CalDAV/vtodos.xml
 XANDIKOS_COVERAGE ?= $(COVERAGE_RUN) -a --rcfile=$(shell pwd)/.coveragerc --source=xandikos -m xandikos.web
@@ -14,7 +13,10 @@
 	$(PYTHON) -m unittest $(TESTSUITE)
 
 style:
-	flake8
+	$(PYTHON) -m flake8
+
+typing:
+	$(PYTHON) -m mypy xandikos
 
 web:
 	$(PYTHON) -m xandikos.web
@@ -24,6 +26,12 @@
 
 check-litmus:
 	./compat/xandikos-litmus.sh "${LITMUS_TESTS}"
+
+check-pycaldav:
+	./compat/xandikos-pycaldav.sh
+
+coverage-pycaldav:
+	XANDIKOS="$(XANDIKOS_COVERAGE)" ./compat/xandikos-pycaldav.sh
 
 coverage-litmus:
 	XANDIKOS="$(XANDIKOS_COVERAGE)" ./compat/xandikos-litmus.sh "${LITMUS_TESTS}"
@@ -46,7 +54,7 @@
 coverage-caldavtester-all:
 	XANDIKOS="$(XANDIKOS_COVERAGE)" ./compat/xandikos-caldavtester.sh
 
-check-all: check check-vdirsyncer check-litmus check-caldavtester style
+check-all: check check-vdirsyncer check-litmus check-caldavtester check-pycaldav style
 
 coverage-all: coverage coverage-litmus coverage-vdirsyncer coverage-caldavtester

=== debian/changelog ===
xandikos (0.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper from old 12 to 13.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 14 May 2020 02:31:10 +0000

xandikos (0.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop python3-prometheus-client dependency to Recommends, since it
    isn't strictly necessary.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 08 May 2020 13:01:01 +0000

xandikos (0.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 05 May 2020 20:03:18 +0000

xandikos (0.1.0-1) unstable; urgency=medium

  * New upstream release. Closes: #953011
  * Re-export upstream signing key without extra signatures.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 07 Mar 2020 12:35:38 +0000

xandikos (0.0.11-3) unstable; urgency=medium

  * Disable caldav-tester autopkgtest; this package is Python2-only, and
    only a handful of subtests are run anyway.
  * Add debian/upstream/metadata.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set Rules-Requires-Root.
  * Move to section 'web'.
  * Bump standards version to 4.4.1 (no changes).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 29 Dec 2019 15:54:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: xandikos
-Section: python
+Section: web
 Priority: optional
 Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
 Homepage: https://www.xandikos.org/
-Build-Depends: python3-all, debhelper (>= 9), python3-dulwich (>= 0.19.1), dh-python, python3-icalendar, python3-defusedxml, python3-jinja2, python3-setuptools
-Standards-Version: 4.0.0
-X-Python3-Version: >= 3.2
-Vcs-Git: https://www.xandikos.org/ -b stretch-backports
+Build-Depends: python3-all, debhelper-compat (= 13), python3-dulwich (>= 0.19.1), dh-python, python3-icalendar, python3-defusedxml, python3-jinja2, python3-setuptools, python3-aiohttp, python3-prometheus-client
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/jelmer/xandikos
+Vcs-Git: https://salsa.debian.org/jelmer/xandikos.git
 
 Package: xandikos
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-icalendar, python3-defusedxml, python3-dulwich (>= 0.19.1), python3-jinja2
+Depends: ${python3:Depends}, ${misc:Depends}, python3-icalendar, python3-defusedxml, python3-dulwich (>= 0.19.1), python3-jinja2, python3-aiohttp
+Recommends: python3-prometheus-client
 Description: Git-backed CalDAV/CardDAV server
  Xandikos is a standards-compliant CalDAV/CardDAV server that backs onto a
  Git repository.

=== debian/tests/control ===
Tests: litmus
Depends: litmus, curl, @
Restrictions: allow-stderr

# Disabled because caldav-tester is Python2-only
# Tests: caldav-tester
# Depends: caldav-tester, git, curl, @
# Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/xandikos/xandikos-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## xandikos 0.2.8

=== Makefile ===
--- 
+++ 
@@ -63,3 +63,8 @@
 
 coverage-html: coverage
 	$(COVERAGE) html
+
+docker:
+	docker build -t jvernooij/xandikos -t ghcr.io/jelmer/xandikos .
+	docker push jvernooij/xandikos
+	docker push ghcr.io/jelmer/xandikos

=== requirements.txt ===
icalendar
dulwich
defusedxml
jinja2
aiohttp
prometheus_client

=== debian/changelog ===
xandikos (0.2.8-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 09 Jan 2022 12:08:32 +0000

xandikos (0.2.7-1) unstable; urgency=medium

  * Add debian/watch file, using github.
  * Update standards version to 4.6.0, no changes needed.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 27 Dec 2021 13:38:18 +0000

xandikos (0.2.6-1) unstable; urgency=medium

  * New upstream release.
    + Fixes uwsgi support. Closes: #992190
  * Re-export upstream signing key without extra signatures.
  * Set upstream metadata fields: Security-Contact.
  * Update standards version to 4.5.1, no changes needed.
  * Update watch file format version to 4.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 20 Aug 2021 13:28:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
 Homepage: https://www.xandikos.org/
-Build-Depends: python3-all, debhelper-compat (= 13), python3-dulwich (>= 0.19.1), dh-python, python3-icalendar, python3-defusedxml, python3-jinja2, python3-setuptools, python3-aiohttp, python3-prometheus-client
+Build-Depends: python3-all, debhelper-compat (= 13), python3-dulwich (>= 0.19.1), dh-python, python3-icalendar, python3-defusedxml, python3-jinja2, python3-setuptools, python3-aiohttp, python3-aiohttp-openmetrics
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/jelmer/xandikos
 Vcs-Git: https://salsa.debian.org/jelmer/xandikos.git
 
 Package: xandikos
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-icalendar, python3-defusedxml, python3-dulwich (>= 0.19.1), python3-jinja2, python3-aiohttp
-Recommends: python3-prometheus-client
+Recommends: python3-aiohttp-openmetrics
 Description: Git-backed CalDAV/CardDAV server
  Xandikos is a standards-compliant CalDAV/CardDAV server that backs onto a
  Git repository.

## xandikos 0.2.10

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 style:
 	$(PYTHON) -m flake8
+	isort --check .
 
 typing:
 	$(PYTHON) -m mypy xandikos
@@ -42,21 +43,9 @@
 coverage-vdirsyncer:
 	XANDIKOS="$(XANDIKOS_COVERAGE)" ./compat/xandikos-vdirsyncer.sh
 
-check-caldavtester:
-	TESTS="$(CALDAVTESTER_TESTS)" ./compat/xandikos-caldavtester.sh
+check-all: check check-vdirsyncer check-litmus check-pycaldav style
 
-coverage-caldavtester:
-	TESTS="$(CALDAVTESTER_TESTS)" XANDIKOS="$(XANDIKOS_COVERAGE)" ./compat/xandikos-caldavtester.sh
-
-check-caldavtester-all:
-	./compat/xandikos-caldavtester.sh
-
-coverage-caldavtester-all:
-	XANDIKOS="$(XANDIKOS_COVERAGE)" ./compat/xandikos-caldavtester.sh
-
-check-all: check check-vdirsyncer check-litmus check-caldavtester check-pycaldav style
-
-coverage-all: coverage coverage-litmus coverage-vdirsyncer coverage-caldavtester
+coverage-all: coverage coverage-litmus coverage-vdirsyncer
 
 coverage:
 	$(COVERAGE_RUN) --source=xandikos -m unittest $(TESTSUITE)
@@ -64,7 +53,15 @@
 coverage-html: coverage
 	$(COVERAGE) html
 
+docs:
+	$(MAKE) -C docs html
+
+.PHONY: docs
+
 docker:
-	docker build -t jvernooij/xandikos -t ghcr.io/jelmer/xandikos .
-	docker push jvernooij/xandikos
-	docker push ghcr.io/jelmer/xandikos
+	buildah build -t jvernooij/xandikos -t ghcr.io/jelmer/xandikos .
+	buildah push jvernooij/xandikos
+	buildah push ghcr.io/jelmer/xandikos
+
+reformat:
+	isort .

=== docs/Makefile ===
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
xandikos (0.2.10-1) unstable; urgency=medium

  * Ignore .egg-info changes during build. Closes: #1046990
  * New upstream release.
   + Fixes compatibility with dulwich. Closes: #1051311
  * Set upstream metadata fields: Bug-Database.
  * Update standards version to 4.6.2, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 06 Sep 2023 10:24:13 +0100

=== debian/tests/control ===
#Tests: litmus
#Depends: litmus, curl, @
#Restrictions: allow-stderr

# Disabled because caldav-tester is Python2-only
# Tests: caldav-tester
# Depends: caldav-tester, git, curl, @
# Restrictions: allow-stderr

## xandikos 0.2.12

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 style:
 	$(PYTHON) -m flake8
-	isort --check .
+	$(PYTHON) -m isort --check .
 
 typing:
 	$(PYTHON) -m mypy xandikos
@@ -64,4 +64,4 @@
 	buildah push ghcr.io/jelmer/xandikos
 
 reformat:
-	isort .
+	ruff format .

=== requirements.txt ===
icalendar
dulwich
defusedxml
jinja2
aiohttp
prometheus_client
vobject

=== debian/changelog ===
xandikos (0.2.12-1) unstable; urgency=low

  * New upstream release.
   + Fixes compatibility with newer icalendar. Closes: #1087793

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 19 Dec 2024 18:29:04 +0000

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
 Homepage: https://www.xandikos.org/
-Build-Depends: python3-all, debhelper-compat (= 13), python3-dulwich (>= 0.19.1), dh-python, python3-icalendar, python3-defusedxml, python3-jinja2, python3-setuptools, python3-aiohttp, python3-aiohttp-openmetrics
+Build-Depends: python3-all, debhelper-compat (= 13), python3-dulwich (>= 0.19.1), dh-python, python3-icalendar, python3-defusedxml, python3-jinja2, python3-setuptools, python3-aiohttp, python3-aiohttp-openmetrics, python3-vobject
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/jelmer/xandikos
 Vcs-Git: https://salsa.debian.org/jelmer/xandikos.git
 
 Package: xandikos
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-icalendar, python3-defusedxml, python3-dulwich (>= 0.19.1), python3-jinja2, python3-aiohttp
+Depends: ${python3:Depends}, ${misc:Depends}, python3-icalendar, python3-defusedxml, python3-dulwich (>= 0.19.1), python3-jinja2, python3-aiohttp, python3-vobject
 Recommends: python3-aiohttp-openmetrics
 Description: Git-backed CalDAV/CardDAV server
  Xandikos is a standards-compliant CalDAV/CardDAV server that backs onto a

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/xandikos-$1\.tar\.gz/ https://github.com/jelmer/xandikos/tags .*\/v(\d\S+)\.tar\.gz

## xandikos 0.3.4

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 COVERAGE ?= $(PYTHON) -m coverage
 COVERAGE_RUN_OPTIONS ?=
 COVERAGE_RUN ?= $(COVERAGE) run $(COVERAGE_RUN_OPTIONS)
-TESTSUITE = xandikos.tests.test_suite
-LITMUS_TESTS ?= basic http
+TESTSUITE = tests.test_suite
+LITMUS_TESTS ?= basic http copymove
 CALDAVTESTER_TESTS ?= CalDAV/delete.xml \
 		      CalDAV/options.xml \
 		      CalDAV/vtodos.xml
@@ -13,8 +13,7 @@
 	$(PYTHON) -m unittest $(TESTSUITE)
 
 style:
-	$(PYTHON) -m flake8
-	$(PYTHON) -m isort --check .
+	$(PYTHON) -m ruff check .
 
 typing:
 	$(PYTHON) -m mypy xandikos
@@ -31,8 +30,14 @@
 check-pycaldav:
 	./compat/xandikos-pycaldav.sh
 
+check-caldav-server-tester:
+	./compat/xandikos-caldav-server-tester.sh
+
 coverage-pycaldav:
 	XANDIKOS="$(XANDIKOS_COVERAGE)" ./compat/xandikos-pycaldav.sh
+
+coverage-caldav-server-tester:
+	XANDIKOS="$(XANDIKOS_COVERAGE)" ./compat/xandikos-caldav-server-tester.sh
 
 coverage-litmus:
 	XANDIKOS="$(XANDIKOS_COVERAGE)" ./compat/xandikos-litmus.sh "${LITMUS_TESTS}"
@@ -58,7 +63,10 @@
 
 .PHONY: docs
 
-docker:
+docker: docker
+	@echo "Please use 'make container' rather than 'make docker'"
+
+container:
 	buildah build -t jvernooij/xandikos -t ghcr.io/jelmer/xandikos .
 	buildah push jvernooij/xandikos
 	buildah push ghcr.io/jelmer/xandikos

=== debian/changelog ===
xandikos (0.3.4-1) unstable; urgency=medium

  * New upstream release.
   + Fixes compatibility with newer duliwch. Closes: #112754

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 09 Feb 2026 18:38:57 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,18 @@
 Priority: optional
 Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
 Homepage: https://www.xandikos.org/
-Build-Depends: python3-all, debhelper-compat (= 13), python3-dulwich (>= 0.19.1), dh-python, python3-icalendar, python3-defusedxml, python3-jinja2, python3-setuptools, python3-aiohttp, python3-aiohttp-openmetrics, python3-vobject
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
+               python3-aiohttp,
+               python3-aiohttp-openmetrics,
+               python3-all,
+               python3-defusedxml,
+               python3-dulwich (>= 0.19.1),
+               python3-dulwich (<< 2),
+               python3-icalendar,
+               python3-jinja2,
+               python3-setuptools,
+               python3-vobject
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/jelmer/xandikos
@@ -11,7 +22,15 @@
 
 Package: xandikos
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-icalendar, python3-defusedxml, python3-dulwich (>= 0.19.1), python3-jinja2, python3-aiohttp, python3-vobject
+Depends: python3-aiohttp,
+         python3-defusedxml,
+         python3-dulwich (>= 0.19.1),
+         python3-dulwich (<< 2),
+         python3-icalendar,
+         python3-jinja2,
+         python3-vobject,
+         ${misc:Depends},
+         ${python3:Depends}
 Recommends: python3-aiohttp-openmetrics
 Description: Git-backed CalDAV/CardDAV server
  Xandikos is a standards-compliant CalDAV/CardDAV server that backs onto a
